Subject: bug#2949: 23.0.92; font-info incompatible across Emacs versions

From: "Drew Adams" <[email-masked]>
Date: Fri, 10 Apr 2009 08:44:50 -0700

Function `font-info', on which several other functions are based,
changed its return value sometime after Emacs 20. The CHARSET entry
was removed.

In Emacs 20, `font-info' returns an array like this:

["-*-Lucida Console-normal-r-*-*-14-112-96-96-c-*-iso8859-1"
 "-*-Lucida Console-normal-r-*-*-14-105-96-96-c-*-iso8859-1"
 ascii 8 14 0 0 0]

In Emacs 22 and later, it returns an array like this:

["-*-Lucida Console-normal-r-*-*-14-112-96-96-c-*-iso8859-1"
 "-*-Lucida Console-normal-r-*-*-14-105-96-96-c-*-iso8859-1"
 8 14 0 0 0]

This breaks any code that tries to use the result with different Emacs versions.

In GNU Emacs 23.0.92.1 (i386-mingw-nt5.1.2600)
 of 2009-03-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'